zenilib: zenilib/jni/external/freetype2/src/gzip/zutil.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Typedefs | Functions
zutil.h File Reference
`#include "zlib.h"`
`#include <errno.h>`

Go to the source code of this file.

## Macros

#define | Assert(cond, msg)
#define | DEF_MEM_LEVEL 8
#define | DEF_WBITS MAX_WBITS
#define | DYN_TREES 2
#define | ERR_RETURN(strm, err) return (strm->msg = (char*)ERR_MSG(err), (err))
#define | F_OPEN(name, mode) ft_fopen((name), (mode))
#define | local static
#define | MAX_MATCH 258
#define | MIN_MATCH 3
#define | OS_CODE 0x03 /* assume Unix */
#define | PRESET_DICT 0x20 /* preset dictionary flag in zlib header */
#define | STATIC_TREES 1
#define | STORED_BLOCK 0
#define | Trace(x)
#define | Tracec(c, x)
#define | Tracecv(c, x)
#define | Tracev(x)
#define | Tracevv(x)
#define | TRY_FREE(s, p) {if (p) ZFREE(s, p);}
#define | ZALLOC(strm, items, size) (*((strm)->zalloc))((strm)->opaque, (items), (size))
#define | ZFREE(strm, addr) (*((strm)->zfree))((strm)->opaque, (voidpf)(addr))
#define | zstrerror(errnum) ""

## Typedefs

typedef uLong check_func | OF ((uLong check, const Bytef *buf, uInt len))
typedef unsigned char | uch
typedef uch FAR | uchf
typedef unsigned long | ulg
typedef unsigned short | ush
typedef ush FAR | ushf

## Functions

void zmemcpy | OF ((Bytef *dest, const Bytef *source, uInt len))
int zmemcmp | OF ((const Bytef *s1, const Bytef *s2, uInt len))
void zmemzero | OF ((Bytef *dest, uInt len))
local voidpf zcalloc | OF ((voidpf opaque, unsigned items, unsigned size))
local void zcfree | OF ((voidpf opaque, voidpf ptr))

## Macro Definition Documentation

#define Assert | ( |  | cond,
|  |  | msg
| ) |  |

Definition at line 196 of file zutil.h.

Referenced by _tr_flush_block(), _tr_tally(), compress_block(), deflate(), deflate_slow(), deflate_stored(), fill_window(), gen_codes(), inflate_codes(), longest_match(), send_all_trees(), send_tree(), and tr_static_init().

#define DEF_MEM_LEVEL 8

Definition at line 53 of file zutil.h.

Referenced by deflateInit_(), and gz_open().

#define DEF_WBITS MAX_WBITS

Definition at line 48 of file zutil.h.

Referenced by inflateInit_().

#define DYN_TREES 2

Definition at line 61 of file zutil.h.

Referenced by _tr_flush_block().

#define ERR_RETURN | ( |  | strm,
|  |  | err
| ) |  | return (strm->msg = (char*)ERR_MSG(err), (err))

Definition at line 41 of file zutil.h.

Referenced by deflate().

#define F_OPEN | ( |  | name,
|  |  | mode
| ) |  | ft_fopen((name), (mode))

Definition at line 143 of file zutil.h.

Referenced by gz_open().

#define local static

Definition at line 30 of file zutil.h.

Referenced by pfr_log_font_load(), and SDLTest_TimestampToString().

#define MAX_MATCH 258

Definition at line 65 of file zutil.h.

Referenced by _tr_tally(), deflate_rle(), and longest_match().

#define MIN_MATCH 3

Definition at line 64 of file zutil.h.

Referenced by deflate_fast(), deflate_rle(), deflate_slow(), deflateInit2_(), deflateSetDictionary(), fill_window(), and lm_init().

#define OS_CODE 0x03 /* assume Unix */

Definition at line 139 of file zutil.h.

Referenced by deflate(), and gz_open().

#define PRESET_DICT 0x20 /* preset dictionary flag in zlib header */

Definition at line 68 of file zutil.h.

Referenced by deflate().

#define STATIC_TREES 1

Definition at line 60 of file zutil.h.

Referenced by _tr_align(), and _tr_flush_block().

#define STORED_BLOCK 0

Definition at line 59 of file zutil.h.

Referenced by _tr_stored_block().

#define Trace | ( |  | x | ) |

Definition at line 197 of file zutil.h.

#define Tracec | ( |  | c,
|  |  | x
| ) |  |

Definition at line 200 of file zutil.h.

#define Tracecv | ( |  | c,
|  |  | x
| ) |  |

Definition at line 201 of file zutil.h.

Referenced by compress_block(), and gen_codes().

#define Tracev | ( |  | x | ) |

Definition at line 198 of file zutil.h.

Referenced by _tr_flush_block(), _tr_tally(), build_bl_tree(), gen_codes(), inflate(), inflate_blocks(), inflate_blocks_free(), inflate_blocks_new(), inflate_blocks_reset(), inflate_codes_free(), inflate_codes_new(), inflateBack(), inflateBackEnd(), inflateBackInit_(), inflateEnd(), inflateInit2_(), inflateReset(), inflateSetDictionary(), send_all_trees(), and ZEXPORT().

#define Tracevv | ( |  | x | ) |

Definition at line 199 of file zutil.h.

Referenced by deflate_fast(), deflate_huff(), deflate_rle(), deflate_slow(), inflate(), inflate_codes(), inflate_fast(), and inflateBack().

#define TRY_FREE | ( |  | s,
|  |  | p
| ) |  | {if (p) ZFREE(s, p);}

Definition at line 213 of file zutil.h.

Referenced by deflateEnd().

#define ZALLOC | ( |  | strm,
|  |  | items,
|  |  | size
| ) |  | (*((strm)->zalloc))((strm)->opaque, (items), (size))

Definition at line 210 of file zutil.h.

Referenced by deflateCopy(), deflateInit2_(), inflate_blocks(), inflate_blocks_new(), inflate_codes_new(), inflate_trees_bits(), inflate_trees_dynamic(), inflate_trees_fixed(), inflateBackInit_(), inflateCopy(), inflateInit2_(), and updatewindow().

#define ZFREE | ( |  | strm,
|  |  | addr
| ) |  | (*((strm)->zfree))((strm)->opaque, (voidpf)(addr))

Definition at line 212 of file zutil.h.

Referenced by deflateEnd(), inflate_blocks(), inflate_blocks_free(), inflate_blocks_new(), inflate_blocks_reset(), inflate_codes_free(), inflate_trees_bits(), inflate_trees_dynamic(), inflate_trees_fixed(), inflateBackEnd(), inflateCopy(), inflateEnd(), inflateInit2_(), and inflateReset2().

#define zstrerror | ( |  | errnum | ) | ""

Definition at line 152 of file zutil.h.

Referenced by gz_comp(), and gz_load().

## Typedef Documentation

typedef uLong check_func OF((uLong check, const Bytef *buf,uInt len))

Definition at line 205 of file zutil.h.

typedef unsigned char uch

Definition at line 34 of file zutil.h.

typedef uch FAR uchf

Definition at line 35 of file zutil.h.

typedef unsigned long ulg

Definition at line 38 of file zutil.h.

typedef unsigned short ush

Definition at line 36 of file zutil.h.

typedef ush FAR ushf

Definition at line 37 of file zutil.h.

## Function Documentation

void zmemcpy OF | ( | (Bytef *dest, const Bytef *source, uInt len) |  | ) |

int zmemcmp OF | ( | (const Bytef *s1, const Bytef *s2, uInt len) |  | ) |

void zmemzero OF | ( | (Bytef *dest, uInt len) |  | ) |

local voidpf zcalloc OF | ( | (voidpf opaque, unsigned items, unsigned size) |  | ) |

local void zcfree OF | ( | (voidpf opaque, voidpf ptr) |  | ) |